Better ListView Class Reference |

# BetterListViewDragDropEffectSettingEventArgs Constructor

Initializes a new instance of the BetterListViewDragDropEffectSettingEventArgs class.

BetterListViewDragDropEffectSettingEventArgs(
IDataObject data,
int keyState,
int x,
int y,
DragDropEffects allowedEffect,
DragDropEffects effect,
bool isItemReorder,
bool updateInsertionMark
);

#### Parameters

data
  The data associated with this event.
keyState
  The current state of the SHIFT, CTRL, and ALT keys.
x
  The x-coordinate of the mouse cursor in pixels.
y
  The y-coordinate of the mouse cursor in pixels.
allowedEffect
  Allowed System.Windows.Forms.DragDropEffects values.
effect
  One of the System.Windows.Forms.DragDropEffects values.
isItemReorder
  Item reordering is in progress.
updateInsertionMark
  Set InsertionMark property automatically when setting the drop effect.

#### See Also

BetterListViewDragDropEffectSettingEventArgs Class | ComponentOwl.BetterListView Namespace